import { r as registerInstance, h } from './core-8e73947d.js';
import './_commonjsHelpers-97e6d7b1.js';
import { d as dist_9, a as dist_6 } from './index-b6097e3d.js';

const SmoothlyTriggerSink = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    get filters() {
        if (!this.filtersValue)
            this.filtersValue = this.filter ? this.filter.split(" ") : [];
        return this.filtersValue;
    }
    TriggerListener(event) {
        if (dist_9.is(event.detail) && this.filters.some(f => f == event.detail.name)) {
            dist_6.send(this.destination, event.detail, this.context || window);
            event.preventDefault();
            event.stopPropagation();
        }
    }
    render() {
        return h("slot", null);
    }
    static get style() { return ".sc-smoothly-trigger-sink-h{display:block}[hidden].sc-smoothly-trigger-sink-h{display:none}"; }
};

export { SmoothlyTriggerSink as smoothly_trigger_sink };
